Skip to main content
GET
/
providers
List the built-in provider shortcut catalog
curl --request GET \
  --url https://api.superserve.ai/providers \
  --header 'X-API-Key: <api-key>'
[
  {
    "name": "<string>",
    "display": "<string>",
    "hosts": [
      "<string>"
    ],
    "token_shape": "<string>",
    "auth_config": {}
  }
]

Authorizations

X-API-Key
string
header
required

Response

Provider catalog

name
string
required

Stable identifier used as provider on POST /secrets.

display
string
required

Human-readable label.

auth_type
enum<string>
required
Available options:
bearer,
basic,
api-key,
custom,
per_host
hosts
string[]
required
token_shape
string
required

Prefix-shaped sample of the proxy token issued for this provider (e.g. sk-ant-api03-...).

auth_config
object

Resolved auth shape; same JSON shape as SecretResponse.auth_config.